﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EnviandoArquivos_Mvc.Models;


namespace EnviandoArquivos_Mvc.Controllers
{
    public class ArquivosController : Controller
    {

        ModelArquivos oModelArquivos = new ModelArquivos();

        //
        // GET: /Arquivos/
        public ActionResult Index()
        {
            var _arquivos = oModelArquivos.GetArquivos();
            return View(_arquivos);
        }

        public FileResult Download(string id)
        {
            int _arquivoId = Convert.ToInt32(id);
            var arquivos = oModelArquivos.GetArquivos();

            string nomeArquivo = (from arquivo in arquivos
                                  where arquivo.arquivoID == _arquivoId
                                  select arquivo.arquivoCaminho).First();

            string contentType = "application/pdf";
            //Os parametros para o arquivo são
            //1. o caminho do aruivo on servidor
            //2. o tipo de conteudo do tipo MIME
            //3. o parametro para o arquivos salvo pelo navegador
            return File(nomeArquivo, contentType, "Report.pdf");
        }
    }
}
